[packages/thunderbird] - rename patches, update script
baggins
baggins at pld-linux.org
Tue Mar 14 08:00:21 CET 2017
commit 4b2ee4006ff3a90555f9cfd995d188dbc2885d83
Author: Jan Rękorajski <baggins at pld-linux.org>
Date: Tue Mar 14 07:58:39 2017 +0100
- rename patches, update script
icedove-hunspell.patch => hunspell.patch | 0
icedove.sh | 41 --------------------------------
icedove-install.patch => install.patch | 0
icedove-prefs.patch => prefs.patch | 0
icedove-rm_nonfree.sh => rm_nonfree.sh | 0
icedove.desktop => thunderbird.desktop | 0
thunderbird.sh | 41 ++++++++++++++++++++++++++++++++
thunderbird.spec | 2 +-
8 files changed, 42 insertions(+), 42 deletions(-)
---
diff --git a/thunderbird.spec b/thunderbird.spec
index e4762aa..eb0e4ed 100644
--- a/thunderbird.spec
+++ b/thunderbird.spec
@@ -35,7 +35,7 @@ Source0: http://releases.mozilla.org/pub/mozilla.org/thunderbird/releases/%{vers
# Source0-md5: 4e04b1618273f946f00f8ea547578895
Source4: %{name}.desktop
Source5: %{name}.sh
-Patch2: %{name}-prefs.patch
+Patch2: prefs.patch
Patch6: no-subshell.patch
Patch8: enable-addons.patch
Patch9: mozilla-1269171-badalloc.patch
diff --git a/icedove-hunspell.patch b/hunspell.patch
similarity index 100%
rename from icedove-hunspell.patch
rename to hunspell.patch
diff --git a/icedove.sh b/icedove.sh
deleted file mode 100644
index 6c88b2e..0000000
--- a/icedove.sh
+++ /dev/null
@@ -1,41 +0,0 @@
-#!/bin/sh
-# based on script by (c) vip at linux.pl, wolf at pld-linux.org
-
-LIBDIR="@LIBDIR@/icedove"
-
-# copy profile from Thunderbird if its available and if no Icedove
-# profile exists
-if [ ! -d $HOME/.icedove ] && [ -d $HOME/.thunderbird ]; then
- echo "Copying profile from Thunderbird"
- cp -a $HOME/.thunderbird $HOME/.icedove
-fi
-
-# compreg.dat and/or chrome.rdf will screw things up if it's from an
-# older version. http://bugs.gentoo.org/show_bug.cgi?id=63999
-for f in ~/.icedove/*/{compreg.dat,chrome.rdf,XUL.mfasl}; do
- [ -f "$f" ] || continue
- if [ "$f" -ot "$0" ] || [ "$f" -ot "$LIBDIR/components/compreg.dat" ]; then
- echo "Removing $f leftover from older Icedove"
- rm -f "$f"
- fi
-done
-
-ICEDOVE="$LIBDIR/icedove"
-
-if [ "$1" = "-remote" ]; then
- exec $ICEDOVE "$@"
-else
- PING=$($ICEDOVE -remote 'ping()' 2>&1 >/dev/null)
- if [ -n "$PING" ]; then
- exec $ICEDOVE "$@"
- else
- case "$1" in
- -compose|-editor)
- exec $ICEDOVE -remote 'xfeDoCommand (composeMessage)'
- ;;
- *)
- exec $ICEDOVE -remote 'xfeDoCommand (openInbox)'
- ;;
- esac
- fi
-fi
diff --git a/icedove-install.patch b/install.patch
similarity index 100%
rename from icedove-install.patch
rename to install.patch
diff --git a/icedove-prefs.patch b/prefs.patch
similarity index 100%
rename from icedove-prefs.patch
rename to prefs.patch
diff --git a/icedove-rm_nonfree.sh b/rm_nonfree.sh
similarity index 100%
rename from icedove-rm_nonfree.sh
rename to rm_nonfree.sh
diff --git a/icedove.desktop b/thunderbird.desktop
similarity index 100%
rename from icedove.desktop
rename to thunderbird.desktop
diff --git a/thunderbird.sh b/thunderbird.sh
new file mode 100644
index 0000000..cad467e
--- /dev/null
+++ b/thunderbird.sh
@@ -0,0 +1,41 @@
+#!/bin/sh
+# based on script by (c) vip at linux.pl, wolf at pld-linux.org
+
+LIBDIR="@LIBDIR@/thunderbird"
+
+# copy profile from Icedove if its available and if no Thunderbird
+# profile exists
+if [ ! -d $HOME/.thunderbird ] && [ -d $HOME/.icedove ]; then
+ echo "Copying profile from Icedove"
+ cp -a $HOME/.icedove $HOME/.thunderbird
+fi
+
+# compreg.dat and/or chrome.rdf will screw things up if it's from an
+# older version. http://bugs.gentoo.org/show_bug.cgi?id=63999
+for f in ~/.thunderbird/*/{compreg.dat,chrome.rdf,XUL.mfasl}; do
+ [ -f "$f" ] || continue
+ if [ "$f" -ot "$0" ] || [ "$f" -ot "$LIBDIR/components/compreg.dat" ]; then
+ echo "Removing $f leftover from older Thunderbird"
+ rm -f "$f"
+ fi
+done
+
+THUNDERBIRD="$LIBDIR/thunderbird"
+
+if [ "$1" = "-remote" ]; then
+ exec $THUNDERBIRD "$@"
+else
+ PING=$($THUNDERBIRD -remote 'ping()' 2>&1 >/dev/null)
+ if [ -n "$PING" ]; then
+ exec $THUNDERBIRD "$@"
+ else
+ case "$1" in
+ -compose|-editor)
+ exec $THUNDERBIRD -remote 'xfeDoCommand (composeMessage)'
+ ;;
+ *)
+ exec $THUNDERBIRD -remote 'xfeDoCommand (openInbox)'
+ ;;
+ esac
+ fi
+fi
================================================================
---- gitweb:
http://git.pld-linux.org/gitweb.cgi/packages/thunderbird.git/commitdiff/dd12359d34d784aa145ec82fb3c2b4abf24e6081
More information about the pld-cvs-commit
mailing list